
Redmine - Defect #8193

Task Relation "Follows" broke if not added in ascending order

2011-04-20 01:35 - Josh Davidson

Status: Closed Start date: 2011-04-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.2

Description

1. your database version: MySQL 14.12

2. your Ruby version: Ruby 1.8.7 (i386-mingw32)

3. your Rails version: Rails 2.3.5

4. your Redmine version: 1.1.2 Stable

Create Task 1 with due date today+5

Create Task 2 with due date today+6

Create Task 3 with due date today+7

In Task 3, add relation "Follows" Task 2

In my distribution, the relation isn't shown until I refresh the screen, but that's not the intent of the bug report.  If you see the relation

added, continue, otherwise hit refresh.

Now, add a second relation "Follows" Task 1.  The relation won't be created because Task 1 has an earlier start date than Task 2.  If

you delete the relation to Task 2 and start over adding Follows Task 1 and then Follows Task 2, it will be accepted.

History

#1 - 2011-04-20 09:07 - Etienne Massip

- Category set to Issues planning

#2 - 2011-04-20 10:00 - Etienne Massip

- Affected version (unused) set to 1.1.2

- Affected version set to 1.1.2

#3 - 2011-04-20 10:09 - Josh Davidson

Due date=... in description should be start date=…

#4 - 2011-04-20 10:30 - Etienne Massip

Can't reproduce on demo site.

Could you please recreate the situation on demo site where trying to add the 2nd relation in t3 is denied ?

#5 - 2011-04-21 23:23 - Josh Davidson

It's working correctly on our server after a reset (and a couple uninstalled plugins), so let's close the ticket.  I'll report back if it happens again.

#6 - 2011-04-21 23:29 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

No problem, thanks.
